com.aliyun.svideosdk.common.struct.recorder

## Class CameraParam

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.recorder.CameraParam

-     public class CameraParam
      extends java.lang.Object

  A class that is used to configure camera parameters.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `FOCUS_MODE_AUTO` Autofocus.
    `static int` | `FOCUS_MODE_CONTINUE` Continuous autofocus.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CameraParam()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getExposureCompensationRatio()` Gets the exposure level.
    `java.lang.String` | `getFlashType()` Gets the flash mode.
    `int` | `getFocusMode()` Gets the focus mode.
    `float` | `getZoomRatio()` Gets the zoom level.
    `void` | `setExposureCompensationRatio(float exposureCompensation)` Sets the exposure level.
    `void` | `setFlashType(java.lang.String type)` Sets the flash mode.
    `void` | `setFocusMode(int focusMode)` Sets the focus mode.
    `void` | `setZoomRatio(float zoomRatio)` Sets the zoom level.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FOCUS_MODE_AUTO

          public static final int FOCUS_MODE_AUTO

      Autofocus. `android.hardware.Camera.Parameters#FLASH_MODE_AUTO`
      See Also:
        Constant Field Values

    - #### FOCUS_MODE_CONTINUE

          public static final int FOCUS_MODE_CONTINUE

      Continuous autofocus.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CameraParam

          public CameraParam()

  - ### Method Detail

    - #### getFlashType

          public java.lang.String getFlashType()

      Gets the flash mode.
      Returns:
        The flash mode.

    - #### setFlashType

          public void setFlashType(java.lang.String type)

      Sets the flash mode.
      Parameters:
        `type` - The flash mode.

    - #### getZoomRatio

          public float getZoomRatio()

      Gets the zoom level.
      Returns:
        The zoom level.

    - #### setZoomRatio

          public void setZoomRatio(float zoomRatio)

      Sets the zoom level.
      Parameters:
        `zoomRatio` - The zoom level.

    - #### getFocusMode

          public int getFocusMode()

      Gets the focus mode. For example, `FOCUS_MODE_AUTO` and `FOCUS_MODE_CONTINUE`.
      Returns:
        The focus mode.

    - #### setFocusMode

          public void setFocusMode(int focusMode)

      Sets the focus mode. `FOCUS_MODE_AUTO` `FOCUS_MODE_CONTINUE`
      Parameters:
        `focusMode` - The focus mode.

    - #### getExposureCompensationRatio

          public float getExposureCompensationRatio()

      Gets the exposure level. Valid values: [0, 1]
      Returns:
        The exposure level.

    - #### setExposureCompensationRatio

          public void setExposureCompensationRatio(float exposureCompensation)

      Sets the exposure level. Valid values: [0, 1]
      Parameters:
        `exposureCompensation` - The exposure level.